# Update phone number (deprecated)

This endpoint is deprecated for partners onboarded after 1/3/2025. For new and existing partners, your clientId will need to be approved by our support team to make the `phoneNumber` optional in the [create card order endpoint](/api-reference/legacy/card-order/cardordercreate). See [3DS for more information](/guides/product/issue-cards/3ds).
Updates the phone number of a card. The new phone number must be a valid phone number.

Endpoint: PUT /v3/spend/profiles/{profileId}/cards/{cardToken}/phone-number
Security: UserToken

## Security:

  - `UserToken` (unknown)
    http bearer JWT

## Path parameters:

  - `profileId` (integer, required)
    Your profile ID.

  - `cardToken` (string, required)
    The card token.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `phoneNumber` (string, required)
    Must be a valid phone number prefixed with + and country code.
    Example: +6588888888

## Response 200:

  - `200` (unknown)
    Updated card phone number details.

## Response 200 fields (application/json):

  - `token` (string)
    The card token that you are modifying.
    Example: 12345-12345-12345-12345

  - `profileId` (integer)
    The profile ID that the card is linked to.
    Example: 30000000

  - `phoneNumber` (string)
    The new phone number associated with the card.
    Example: +6588888888

## Response 200 headers (application/json):

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

## Response 429:

  - `429` (unknown)
    Rate limit exceeded. Retry after the number of seconds specified in the `Retry-After` header.

## Response 429 headers (application/json):

  - `Retry-After` (integer)
    Number of seconds to wait before retrying the request.
    Example: 5

  - `X-Rate-Limited-By` (string)
    Identifies the rate limiter that triggered the 429 response.
    Example: wise-public-api

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

